## groonga-groonga.zip

=== benchmark/CMakeLists.txt ===
# Copyright (C) 2024  Sutou Kouhei <kou@clear-code.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

pkg_check_modules(gobject gobject-2.0 REQUIRED IMPORTED_TARGET)
add_library(
  grnbench SHARED lib/benchmark.c lib/benchmark.h lib/bench-reporter.c
                  lib/bench-reporter.h lib/bench-utils.c lib/bench-utils.h)
target_link_libraries(grnbench PkgConfig::gobject)

add_executable(bench-between-sequential bench-between-sequential.c)
target_link_libraries(bench-between-sequential libgroonga grnbench)

add_executable(bench-cache bench-cache.c)
target_link_libraries(bench-cache libgroonga grnbench)

add_executable(bench-ctx-create bench-ctx-create.c)
target_link_libraries(bench-ctx-create libgroonga grnbench)

add_executable(bench-distance bench-distance.c)
target_link_libraries(bench-distance libgroonga grnbench)

add_executable(bench-geo-distance bench-geo-distance.c)
target_link_libraries(bench-geo-distance libgroonga grnbench)

add_executable(bench-geo-select bench-geo-select.c)
target_link_libraries(bench-geo-select libgroonga grnbench)

add_executable(bench-nfkc bench-nfkc.c)
target_link_libraries(bench-nfkc libgroonga grnbench)

add_executable(bench-query-optimizer bench-query-optimizer.c)
target_link_libraries(bench-query-optimizer libgroonga grnbench)

add_executable(bench-range-select bench-range-select.c)
target_link_libraries(bench-range-select libgroonga grnbench)

add_executable(bench-result-set-raw bench-result-set-raw.c)
target_link_libraries(bench-result-set-raw libgroonga grnbench)

add_executable(bench-result-set bench-result-set.c)
target_link_libraries(bench-result-set libgroonga grnbench)

add_executable(bench-table-factory bench-table-factory.c)
target_link_libraries(bench-table-factory libgroonga grnbench)

=== doc/requirements.txt ===
# Copyright(C) 2023  Sutou Kouhei <kou@clear-code.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

Jinja2
Sphinx
myst-parser[linkify]
pydata_sphinx_theme
sphinx-markdown-builder

=== ci/msys2/PKGBUILD ===
# Maintainer: Hiroshi Hatake <cosmo0920.wp@gmail.com>

_realname=groonga
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=
pkgrel=1
pkgdesc="An opensource fulltext search engine (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32')
url="https://groonga.org/"
license=('LGPL2')
options=('strip' 'staticlibs')
source=(${_realname}-${pkgver}.tar.gz)
depends=("${MINGW_PACKAGE_PREFIX}-arrow"
         "${MINGW_PACKAGE_PREFIX}-blosc2"
         "${MINGW_PACKAGE_PREFIX}-lz4"
         "${MINGW_PACKAGE_PREFIX}-mecab"
         "${MINGW_PACKAGE_PREFIX}-mecab-naist-jdic"
         "${MINGW_PACKAGE_PREFIX}-msgpack-c"
         "${MINGW_PACKAGE_PREFIX}-onigmo"
         "${MINGW_PACKAGE_PREFIX}-xxhash"
         "${MINGW_PACKAGE_PREFIX}-zlib"
         "${MINGW_PACKAGE_PREFIX}-zstd")
makedepends=("git"
             "${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-rapidjson"
             "${MINGW_PACKAGE_PREFIX}-ruby"
             "${MINGW_PACKAGE_PREFIX}-xsimd")
sha256sums=('SKIP')
validpgpkeys=('2701F317CFCCCB975CADE9C2624CF77434839225') # Groonga Key <packages@groonga.org>

build() {
  [[ -d ${srcdir}/build-${CARCH} ]] && rm -rf ${srcdir}/build-${CARCH}
  mkdir -p ${srcdir}/build-${CARCH} && cd ${srcdir}/build-${CARCH}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    ${MINGW_PREFIX}/bin/cmake.exe \
      ../${_realname}-${pkgver} \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
      -DGRN_WITH_APACHE_ARROW=ON \
      -DGRN_WITH_BLOSC=auto \
      -DGRN_WITH_MRUBY=ON \
      -G Ninja

  ninja
}

package() {
  cd ${srcdir}/build-${CARCH}
  DESTDIR="${pkgdir}" ninja install

  local PREFIX_DEPS=$(cygpath -am ${MINGW_PREFIX})
  pushd "${pkgdir}${MINGW_PREFIX}/lib/pkgconfig"
  for pc in *.pc; do
    sed -s "s|${PREFIX_DEPS}|${MINGW_PREFIX}|g" -i ${pc}
  done
  popd

  install -Dm644 \
    ${srcdir}/${_realname}-${pkgver}/COPYING \
    "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
